curl --request GET \
--url https://api.dfns.io/auth/users \
--header 'Authorization: Bearer <token>'{
"items": [
{
"username": "<string>",
"name": "<string>",
"userId": "us-6b58p-r53sr-rlrd3l5cj3uc4ome",
"kind": "AccountUser",
"credentialUuid": "<string>",
"orgId": "<string>",
"isActive": true,
"isServiceAccount": true,
"isRegistered": true,
"isSSORequired": true,
"permissionAssignments": [
{
"permissionName": "<string>",
"permissionId": "<string>",
"assignmentId": "<string>",
"operations": [
"<string>"
]
}
],
"permissions": [
"<string>"
]
}
],
"nextPageToken": "<string>"
}List all Users in your organization.
curl --request GET \
--url https://api.dfns.io/auth/users \
--header 'Authorization: Bearer <token>'{
"items": [
{
"username": "<string>",
"name": "<string>",
"userId": "us-6b58p-r53sr-rlrd3l5cj3uc4ome",
"kind": "AccountUser",
"credentialUuid": "<string>",
"orgId": "<string>",
"isActive": true,
"isServiceAccount": true,
"isRegistered": true,
"isSSORequired": true,
"permissionAssignments": [
{
"permissionName": "<string>",
"permissionId": "<string>",
"assignmentId": "<string>",
"operations": [
"<string>"
]
}
],
"permissions": [
"<string>"
]
}
],
"nextPageToken": "<string>"
}CustomerEmployee)EndUser)Auth:Users:Read: Always required.Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows
x <= 2001CustomerEmployee, EndUser Was this page helpful?